Package org.picocontainer.converters

# Interface Converter<T>

All Known Implementing Classes:
  `NewInstanceConverter`, `UrlConverter`

public interface Converter<T>
Interface for type converters.

Author:
  Paul Hammant, Michael Rimov

## Method Summary

Modifier and Type
Method
Description
`T`
`convert(String parameterValue)`
Performs a conversion between the given parameter value and the target type.

## Method Details

### convert

T convert(String parameterValue)
Performs a conversion between the given parameter value and the target type.

Parameters:
  `parameterValue` - the string value to convert.
Returns:
  the resulting object.